Bug 191932 - nmap Missing BuildRequire on /usr/bin/desktop-file-install
nmap Missing BuildRequire on /usr/bin/desktop-file-install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nmap (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 11:01 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 08:27:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch, adding the missing buildreqs (373 bytes, patch)
2006-05-16 11:01 EDT, Andreas Thienemann
no flags Details | Diff

  None (edit)
Description Andreas Thienemann 2006-05-16 11:01:45 EDT
Package won't build in mock:

If the next command fails -- you cannot use the X front end
test -f nmapfe/nmapfe && ./shtool install  -c -m 755 -s nmapfe/nmapfe
/var/tmp/nmap-root/usr/bin/nmapfe && rm -f /var/tmp/nmap-root/usr/bin/xnmap &&
./shtool mkln -f -s /var/tmp/nmap-root/usr/bin/nmapfe
/var/tmp/nmap-root/usr/bin/xnmap && ./shtool install  -c -m 644 nmapfe.desktop
/var/tmp/nmap-root/usr/share/applications/nmapfe.desktop && ./shtool install  -c
-m 644 docs/nmapfe.1 /var/tmp/nmap-root/usr/share/man/man1/nmapfe.1 && ./shtool
install  -c -m 644 docs/xnmap.1 /var/tmp/nmap-root/usr/share/man/man1/xnmap.1
+ desktop-file-install --vendor nmap --dir
/var/tmp/nmap-root/usr/share/applications --add-category X-Red-Hat-Base
/builddir/build/SOURCES/nmapfe.desktop
/var/tmp/rpm-tmp.92051: line 48: desktop-file-install: command not found
error: Bad exit status from /var/tmp/rpm-tmp.92051 (%install)

Attached is a patch, adding the correct BuildRequirement to make the package build.
Comment 1 Andreas Thienemann 2006-05-16 11:01:46 EDT
Created attachment 129201 [details]
Patch, adding the missing buildreqs

Note You need to log in before you can comment on or make changes to this bug.